Page 3 of 23 FirstFirst 1234513 ... LastLast
Results 21 to 30 of 227

Thread: Ubuntuzilla testing: please help if you can :)

  1. #21
    Join Date
    Jan 2006
    Location
    Philadelphia
    Beans
    4,064
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: Ubuntuzilla testing: please help if you can :)

    Quote Originally Posted by michael37 View Post
    Yes, it is x86_64. The .debs are called amd64, just for confusion.

    In my experience, the ia32linux libs were not enough. I also needed some gtk libraries at al. How are you going to test the amd64 package? I'd love to volunteer, but I use this 64-bit computer for "production" so I can't experiment with removing libraries etc.

    Also, what are your thoughts on integrating Lightning in ubuntuzilla?
    hm, well, the testing for the supporting libraries has been done before by others - which resulted it the "help" item for 64bit users on the ubuntuzilla site (check it out, it's there toward the end)
    i just added those dependencies into the .deb - everything else stays exactly the same as the i386 version.

    about lightning - my understanding is that it is just an extension for thunderbird... so once you install thunderbird using ubuntuzilla, you can just go and download the lightning extension, and install it on thunderbird like any other extension? why would ubuntuzilla need to do anything about it?

    i appreciate your willingness to help with testing, and i totally understand your reluctance to mess with a production machine. thanks for the thought, anyway.

  2. #22
    Join Date
    Jul 2007
    Location
    Boston, MA, USA
    Beans
    925
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Ubuntuzilla testing: please help if you can :)

    Quote Originally Posted by nanotube View Post
    about lightning - my understanding is that it is just an extension for thunderbird... so once you install thunderbird using ubuntuzilla, you can just go and download the lightning extension, and install it on thunderbird like any other extension? why would ubuntuzilla need to do anything about it?
    They packaged lightning as an extension to the thunderbird, but it's really an embedded binary application that is architecture dependent (e.g. lightning also requires dynamic libraries). Most extensions are truly XUL-based architecture independent. The tricky part here is that lightning must match the architecture of parent Thunderbird application. Thunderbird doesn't check for this level of details, so it's entirely possible to install 32-bit Lightning into 64-bit Thunderbird and pull one's hair our trying to make it work. Check our more details at this page: https://help.ubuntu.com/community/ThunderbirdLightning. So, I had to differentiate between the repository method and ubuntuzilla method since they result in Thunderbird binaries of different architectures.

  3. #23
    Join Date
    Jan 2006
    Location
    Philadelphia
    Beans
    4,064
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: Ubuntuzilla testing: please help if you can :)

    ah-ha... i will have to make that clear in my instructions, then, since my amd64 version installs the 32bit thunderbird, along with the compatibility libraries, not a native 64bit thunderbird (which is not available from mozilla).

    thanks for pointing that out.

  4. #24
    Join Date
    Jan 2007
    Beans
    93

    Cool Re: Ubuntuzilla testing: please help if you can :)

    Alright, newbie here,

    did a dual boot install on tpad r51 with dapper. install went fi ne and i'm able use the basic functions

    wanted to run the script so i can upate firefox

    double click,

    first error say libnotify-bin not satifsfied

    downlaoded libnotify-bin package fro debian.org

    second error

    libc6 depency not satisfied

    dowloaded that
    third error

    libgllib2.00 blah blah depency not satisfied

    dowloaded that and i get the message

    fourht error

    failed to satisfy all dependencies (broken cache)

    What on earth does this mean and how do i fix it?


    thanks
    Mani

  5. #25
    Join Date
    Apr 2007
    Location
    India
    Beans
    Hidden!
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Ubuntuzilla testing: please help if you can :)

    What can I do . Plz lemme know

  6. #26
    Join Date
    Jan 2006
    Location
    Philadelphia
    Beans
    4,064
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: Ubuntuzilla testing: please help if you can :)

    Quote Originally Posted by manij View Post
    Alright, newbie here,

    did a dual boot install on tpad r51 with dapper. install went fi ne and i'm able use the basic functions

    wanted to run the script so i can upate firefox

    double click,

    first error say libnotify-bin not satifsfied

    downlaoded libnotify-bin package fro debian.org

    second error

    libc6 depency not satisfied

    dowloaded that
    third error

    libgllib2.00 blah blah depency not satisfied

    dowloaded that and i get the message

    fourht error

    failed to satisfy all dependencies (broken cache)

    What on earth does this mean and how do i fix it?


    thanks
    Mani
    hi,
    ehrm... if you use gdebi to install, it should automatically take care of the dependencies and all that... what are you using to install the package? dpkg?

    also, if you're getting packages manually, don't get them from debian.org, get them from packages.ubuntu.com

    debian packages are frequently incompatible with ubuntu.

    so... uninstall all those debian packages you got,
    then run "apt-get install -f"
    then run "sudo gdebi -i /path/to/ubuntuzillapackage.deb"

    see how that goes.

  7. #27
    Join Date
    Jan 2006
    Location
    Philadelphia
    Beans
    4,064
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: Ubuntuzilla testing: please help if you can :)

    Quote Originally Posted by Dark Star View Post
    What can I do . Plz lemme know
    thanks for your offer to help! are you looking to code, or to test?

    if you're up for doing some python coding, then we can discuss possible new features, etc.

    if you're up for testing, then i'll just pm you whenever there's a new release that needs some testing.

  8. #28
    Join Date
    Jan 2007
    Beans
    93

    Re: Ubuntuzilla testing: please help if you can :)

    Hi nano,

    Thanks for helping this newb. I reinsatlled ubuntu dapper (didn't know how to uninstall the other packges) and tried the gdebi command. I have the ubuntuzilla file stored on my desktop and executed the gdebi command as sown below and you can see the error message i get. help please!

    Thanks

    XXX@XXX-laptop:~/Desktop$ sudo gdebi -i ubuntuzilla-4.4.0-0ubuntu1-i386.deb
    /usr/lib/python2.4/site-packages/apt/__init__.py:17: FutureWarning: apt API not stable yet
    warnings.warn("apt API not stable yet", FutureWarning)
    gdebi error, file not found: -i
    XXX@XXX-laptop:~/Desktop$

  9. #29
    Join Date
    Jan 2007
    Beans
    93

    Re: Ubuntuzilla testing: please help if you can :)

    when i run the apt -get install command, i get the follwowing error! like I said this is probbaly some rookie stuff. thanks for your help!

    xxx@xxx-laptop:~/Desktop$ apt-get install -f
    E: Could not open lock file /var/lib/dpkg/lock - open (13 Permission denied)
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

  10. #30
    Join Date
    Jan 2006
    Location
    Philadelphia
    Beans
    4,064
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: Ubuntuzilla testing: please help if you can :)

    the apt-get error is because it needs to be run as root (with sudo).

    also, my bad: gdebi doesn't need a '-i', you should just run a
    Code:
    sudo gdebi ubuntuzillapackage.deb
    if that still doesn't work, then you can try the following:

    first command:
    Code:
    sudo dpkg -i ubuntizillapackagename.deb
    second command;
    Code:
    sudo apt-get install -f
    and that should take care of the installation...

    don't know what's up with gdebi.. maybe the dapper version is substantially different than the one in feisty...?
    Last edited by nanotube; August 29th, 2007 at 03:54 AM.

Page 3 of 23 FirstFirst 1234513 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •